Bug 7040 - Ftp session times out while checking packages
Ftp session times out while checking packages
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-16 05:16 EST by heikki
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-22 12:02:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description heikki 1999-11-16 05:16:54 EST
When updating a 5.0 to 6.1 over ftp, the system hang while checking
packages. I traced this down to the check taking sucha long time, that the
ftp server timed out and kicked the installation off.

Bug: ftp session time-out not detected.

Proposed fix: Detect if the session is dead. In that case, try to log in
again.
Comment 1 heikki 1999-11-16 05:34:59 EST
We only have ext2fs partitions on the machine, and a swapn partition or two.
No ntfs, dos, windows, porn or other filth.  (4 disks, 22GB on the largest).

When we tried to install from a local disk we run in tho the python error as
described in bug 5691.

A side note: NOw we are installing 6.0, and not with pleasure that it gives more
info on the process, for example it tells (on one of the screens) which disks it
is about to mount (instead of just "mounting an unchecked e2fs partition), and
when asking which system to upgrade, it also tells the sizes of the disks in
question. Could you please reintroduce these features in 6.2 install?
Comment 2 Jay Turner 1999-11-29 14:02:59 EST
This issue has been forwarded to a developer for further action.
Comment 3 Jay Turner 2000-02-22 12:02:59 EST
The retry on an FTP installation has been improved in the latest cut of the
installer.  You should not see timeouts causing a problem in the latest beta.

Note You need to log in before you can comment on or make changes to this bug.